Bug 88789 - System time has changed after manual display switch or display blank
System time has changed after manual display switch or display blank
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 03:45 EDT by Ronald Bos
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 04:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X Server log (29.56 KB, text/plain)
2003-04-15 03:08 EDT, Ronald Bos
no flags Details
system message log (92.94 KB, text/plain)
2003-04-15 03:10 EDT, Ronald Bos
no flags Details
X configuration file (3.13 KB, text/plain)
2003-04-15 03:10 EDT, Ronald Bos
no flags Details

  None (edit)
Description Ronald Bos 2003-04-14 03:45:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.2.1) Gecko/20030225

Description of problem:
When I switch displays (Fn-F8) or turn the display off and on (Fn-D, Fn-F8) on a
Dell Latitude C610 laptop, the system time suddenly is two hours later. My
timezone is GMT+1 (Amsterdam).
I think this is a kernel problem, but it could be an XFree problem as well
(XFree86-4.3.0-2).
The system runs on BIOS R15.

Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. Remember the system time
2. In a graphical environment, press Fn-D or Fn-F8
3. Check the system time again, it is now two hours later (at least, for me)


Actual Results:  The system time suddenly was two hours later.

Expected Results:  The system time should stay correct regardless of display
changes or blanks.

Additional info:

Output of date and lsmod:

[root@bossalaptop root]# date
ma apr 14 09:42:57 CEST 2003
[root@bossalaptop root]# lsmod
Module                  Size  Used by    Not tainted
ide-cd                 35708   0  (autoclean)
cdrom                  33728   0  (autoclean) [ide-cd]
i810_audio             27720   2  (autoclean)
ac97_codec             13640   0  (autoclean) [i810_audio]
soundcore               6404   2  (autoclean) [i810_audio]
radeon                116132   1
agpgart                47776   3
parport_pc             19076   1  (autoclean)
lp                      8996   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 13268   0  (autoclean) (unused)
ds                      8680   2
yenta_socket           13472   2
pcmcia_core            57216   0  [ds yenta_socket]
3c59x                  30704   1
ipt_REJECT              3928   2  (autoclean)
iptable_filter          2412   1  (autoclean)
ip_tables              15096   2  [ipt_REJECT iptable_filter]
nls_iso8859-1           3516   1  (autoclean)
ntfs                   59008   1  (autoclean)
keybdev                 2944   0  (unused)
mousedev                5492   1
hid                    22148   0  (unused)
input                   5856   0  [keybdev mousedev hid]
usb-uhci               26348   0  (unused)
usbcore                78784   1  [hid usb-uhci]
ext3                   70784   2
jbd                    51892   2  [ext3]
[root@bossalaptop root]#
Comment 1 Arjan van de Ven 2003-04-14 04:50:06 EDT
more an APM script thing...
Comment 2 Ronald Bos 2003-04-14 05:15:16 EDT
I set CLOCK_SYNC="yes" in /etc/sysconfig/apmd, but this did not have any effect
on the screen switching/blanking part. The only effect of this was, that now the
clock was two hours later after wake-up-from-suspend, too.
Comment 3 Ronald Bos 2003-04-14 05:16:39 EDT
Sorry, should be CLOCK_SYNC="no" in previous comment
Comment 4 Bill Nottingham 2003-04-14 15:36:59 EDT
Hm, part of it might be APM. But if the time switches on just switching from
internal/external display, that's a BIOS or X issue.
Comment 5 Mike A. Harris 2003-04-14 18:05:08 EDT
Please completely disable APM, both in Linux at boot time, by running
ntsysv as root and disabling apmd, and also go into your CMOS settings
and disable APM support.  Then save the settings and reboot the computer.

This is to remove APM from being a potential culprit.  Now does the
problem still exist when switching VTs?  If so, please attach your X server
log, X config file, and /var/log/messages to the bug report as individual
uncompressed file attachments using the link below.
Comment 6 Ronald Bos 2003-04-15 03:08:50 EDT
Created attachment 91137 [details]
X Server log
Comment 7 Ronald Bos 2003-04-15 03:10:02 EDT
Created attachment 91138 [details]
system message log
Comment 8 Ronald Bos 2003-04-15 03:10:26 EDT
Created attachment 91139 [details]
X configuration file
Comment 9 Ronald Bos 2003-04-15 03:10:58 EDT
Ok, I disabled apmd and also disabled power-saving features in the BIOS. This
does not help, the system time still gets messed up.
Note: as far as I am considered, I do not switch VT's; I just use my laptop's
funcion key combinations to enable an external VGA display or turn of the
laptop's display.
Comment 10 Mike A. Harris 2003-04-25 04:39:36 EDT
Then this is a BIOS bug.  Whatever your BIOS is doing is freezing the
system clock or somesuch.  That isn't something that we have any control
over.  The simple solution is to not use the hardware switch control.

Alternatively, contact your laptop manufacturer for an updated BIOS
which fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.